Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Не устанавливается Qupzilla  (Прочитано 908 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Valer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
Не устанавливается Qupzilla
« : 14 Март 2016, 14:21:37 »
Здравствуйте. Хотел попробовать установить браузер Qupzilla, потому что его часто хвалят)) Но при установке из цетнра приложений выдаёт:

Цитировать
The following packages have unmet dependencies:

qupzilla: Depends: libc6 (>= 2.4) but 2.19-0ubuntu6.7 is to be installed
          Depends: libgcc1 (>= 1:4.1.1) but 1:4.9.3-0ubuntu4 is to be installed
          Depends: libqt5core5a (>= 5.2.0) but 5.2.1+dfsg-1ubuntu14.3 is to be installed
          Depends: libqt5dbus5 (>= 5.0.2) but 5.2.1+dfsg-1ubuntu14.3 is to be installed
          Depends: libqt5gui5-gles (>= 5.0.2) but it is not going to be installed
          Depends: libqt5network5 (>= 5.0.2) but 5.2.1+dfsg-1ubuntu14.3 is to be installed
          Depends: libqt5printsupport5 (>= 5.0.2) but 5.2.1+dfsg-1ubuntu14.3 is to be installed
          Depends: libqt5script5 (>= 5.0.2) but 5.2.1+dfsg-1ubuntu1 is to be installed
          Depends: libqt5sql5 (>= 5.0.2) but 5.2.1+dfsg-1ubuntu14.3 is to be installed
          Depends: libqt5widgets5 (>= 5.2.0) but 5.2.1+dfsg-1ubuntu14.3 is to be installed
          Depends: libqt5x11extras5 (>= 5.2.0) but 5.2.1-1 is to be installed
          Depends: libstdc++6 (>= 4.6) but 4.8.4-2ubuntu1~14.04.1 is to be installed

Система Lubuntu Trusty, до этого ставил в систему Rekonq и библиотеки KDE и QT, которые он требовал. После удаления Реконк, конечно, его библиотеки остались в системе))
« Последнее редактирование: 14 Март 2016, 14:26:20 от Valer »

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2224
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #1 : 14 Март 2016, 14:24:26 »
Цитировать
конечно, его библиотеки остались в системе))
sudo apt-get autoremove

Оффлайн Valer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #2 : 14 Март 2016, 14:34:00 »
Спасибо за ответ)) В списке autoremove у меня только предыдущее ядро) Боюсь его удалять.

Пользователь решил продолжить мысль 14 Март 2016, 14:49:26:
Всё-таки удалил)) Но это не помогло. Как думаете, может, вручную заменить требуемые пакеты? И как это лучше сделать?
« Последнее редактирование: 14 Март 2016, 14:49:26 от Valer »

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2224
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #3 : 14 Март 2016, 15:24:54 »
Qupzilla не из левого репозитория? А что говорит
sudo apt-get install -f?

Оффлайн Valer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #4 : 14 Март 2016, 15:30:55 »
skybour, по нулям всё) Думаю, Конкерор много чего поменял в системе. А если начну менять пакеты, как бы там пол-системы не пришлось заменять) Хотя вряд ли пол-системы, Реконк с собой метров 150-200 библиотек скачал.

P.S. Кабзилла из нормального репа, по инструкции всё делал.

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2224
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #5 : 14 Март 2016, 15:34:57 »
Тогда смотри лог апта, чего он там вместе с реконком понаставил, и пробуй руками удалять.
/var/log/apt/history.log

Оффлайн Valer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #6 : 14 Март 2016, 15:39:16 »
skybour, попробую. А если лишнее удалится, как потом восстановить системные пакеты, не подскажете?

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2224
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #7 : 14 Март 2016, 15:41:50 »
То что притащил с собой реконк? А зачем оно?

Оффлайн Valer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #8 : 14 Март 2016, 15:44:40 »
Ладно, попробую. Потом разберусь, если что.

Пользователь решил продолжить мысль 14 Март 2016, 16:00:45:
Не знаю, как такой огромный список пакетов на удаление поставить. Они там со служебной информацией идут, apt-get их не принимает в качестве параметров.
« Последнее редактирование: 14 Март 2016, 16:00:45 от Valer »

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2224
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #9 : 14 Март 2016, 16:06:50 »
Как удалял Rekonq remove, purge?

Оффлайн Valer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #10 : 14 Март 2016, 16:09:40 »
Всё-таки purge. Это не очень, да?)

Оффлайн skybour

  • Старожил
  • *
  • Сообщений: 2224
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #11 : 14 Март 2016, 16:13:06 »
Нормально.
Цитировать
Не знаю, как такой огромный список пакетов на удаление поставить. Они там со служебной информацией идут, apt-get их не принимает в качестве параметров.
Ну покажи что-ли, только не весь лог, а ту часть где записана установка Rekonq.

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5138
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #12 : 14 Март 2016, 16:13:22 »
Valer, вывод
lsb_release -a
sudo apt-get update
sudo apt-get dist-upgrade

Оффлайн Azure

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 5660
  • elementaryOS 0.4 Loki, i3wm on Debian9
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #13 : 14 Март 2016, 16:18:47 »
Не знаю, как такой огромный список пакетов на удаление поставить. Они там со служебной информацией идут, apt-get их не принимает в качестве параметров.
Список прогнать через sed|grep убрав ненужное.
В Линукс можно сделать ВСЁ что угодно, достаточно знать КАК !

Оффлайн Valer

  • Автор темы
  • Новичок
  • *
  • Сообщений: 33
    • Просмотр профиля
Re: Не устанавливается Qupzilla
« Ответ #14 : 14 Март 2016, 16:19:41 »
skybour,

Цитировать
Start-Date: 2016-03-12  10:15:47
Commandline: aptdaemon role='role-install-packages' sender=':1.45'
Install: libplasma3:i386 (4.13.3-0ubuntu0.2, automatic), libqtcore4:i386 (4.8.5+git192-g085f851+dfsg-2ubuntu4.1, automatic), libqt4-svg:i386 (4.8.5+git192-g085f851+dfsg-2ubuntu4.1, automatic), ....
End-Date: 2016-03-12  10:19:19


Пользователь решил продолжить мысль 14 Март 2016, 16:21:38:
Azure, спасибо, можно попробовать изучить команду.
« Последнее редактирование: 14 Март 2016, 16:21:38 от Valer »

 

Страница сгенерирована за 0.071 секунд. Запросов: 24.